Package com.explodingpixels.macwidgets.plaf

## Class HudSliderUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SliderUI
    - - javax.swing.plaf.basic.BasicSliderUI
      - - com.explodingpixels.macwidgets.plaf.HudSliderUI

    public class HudSliderUI
    extends javax.swing.plaf.basic.BasicSliderUI

Creates a Heads Up Display (HUD) style slider, similar to that seen in various iApps (e.g. iPhoto).

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSliderUI

`javax.swing.plaf.basic.BasicSliderUI.ActionScroller, javax.swing.plaf.basic.BasicSliderUI.ChangeHandler, javax.swing.plaf.basic.BasicSliderUI.ComponentHandler, javax.swing.plaf.basic.BasicSliderUI.FocusHandler, javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicSliderUI.ScrollListener, javax.swing.plaf.basic.BasicSliderUI.TrackListener`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicSliderUI

`changeListener, componentListener, contentRect, focusInsets, focusListener, focusRect, insetCache, labelRect, leftToRightCache, MAX_SCROLL, MIN_SCROLL, NEGATIVE_SCROLL, POSITIVE_SCROLL, propertyChangeListener, scrollListener, scrollTimer, slider, thumbRect, tickRect, trackBuffer, trackListener, trackRect`

### Constructor Summary

Constructors
`HudSliderUI​(javax.swing.JSlider b)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `calculateThumbLocation()`
`protected void` `calculateTickRect()`
`protected java.awt.Dimension` `getThumbSize()`
`protected int` `getTickLength()`
`protected void` `installDefaults​(javax.swing.JSlider slider)`
`void` `paint​(java.awt.Graphics g, javax.swing.JComponent c)`
`void` `paintFocus​(java.awt.Graphics g)`
`protected void` `paintMajorTickForHorizSlider​(java.awt.Graphics g, java.awt.Rectangle tickBounds, int x)`
`void` `paintThumb​(java.awt.Graphics graphics)`
`void` `paintTrack​(java.awt.Graphics graphics)`
`void` `setThumbLocation​(int x, int y)`

### Methods inherited from class javax.swing.plaf.basic.BasicSliderUI

`calculateContentRect, calculateFocusRect, calculateGeometry, calculateLabelRect, calculateThumbSize, calculateTrackBuffer, calculateTrackRect, createChangeListener, createComponentListener, createFocusListener, createPropertyChangeListener, createScrollListener, createTrackListener, createUI, drawInverted, getBaseline, getBaselineResizeBehavior, getFocusColor, getHeightOfHighValueLabel, getHeightOfLowValueLabel, getHeightOfTallestLabel, getHighestValue, getHighestValueLabel, getHighlightColor, getLowestValue, getLowestValueLabel, getMaximumSize, getMinimumHorizontalSize, getMinimumSize, getMinimumVerticalSize, getPreferredHorizontalSize, getPreferredSize, getPreferredVerticalSize, getShadowColor, getWidthOfHighValueLabel, getWidthOfLowValueLabel, getWidthOfWidestLabel, installKeyboardActions, installListeners, installUI, isDragging, labelsHaveSameBaselines, paintHorizontalLabel, paintLabels, paintMajorTickForVertSlider, paintMinorTickForHorizSlider, paintMinorTickForVertSlider, paintTicks, paintVerticalLabel, recalculateIfInsetsChanged, recalculateIfOrientationChanged, scrollByBlock, scrollByUnit, scrollDueToClickInTrack, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, valueForXPosition, valueForYPosition, xPositionForValue, yPositionForValue, yPositionForValue`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudSliderUI

    public HudSliderUI​(javax.swing.JSlider b)

### Method Detail

#### installDefaults

    protected void installDefaults​(javax.swing.JSlider slider)

Overrides:
  `installDefaults` in class `javax.swing.plaf.basic.BasicSliderUI`

#### getThumbSize

    protected java.awt.Dimension getThumbSize()

Overrides:
  `getThumbSize` in class `javax.swing.plaf.basic.BasicSliderUI`

#### paint

    public void paint​(java.awt.Graphics g,
                      javax.swing.JComponent c)

Overrides:
  `paint` in class `javax.swing.plaf.basic.BasicSliderUI`

#### paintThumb

    public void paintThumb​(java.awt.Graphics graphics)

Overrides:
  `paintThumb` in class `javax.swing.plaf.basic.BasicSliderUI`

#### paintTrack

    public void paintTrack​(java.awt.Graphics graphics)

Overrides:
  `paintTrack` in class `javax.swing.plaf.basic.BasicSliderUI`

#### getTickLength

    protected int getTickLength()

Overrides:
  `getTickLength` in class `javax.swing.plaf.basic.BasicSliderUI`

#### calculateThumbLocation

    protected void calculateThumbLocation()

Overrides:
  `calculateThumbLocation` in class `javax.swing.plaf.basic.BasicSliderUI`

#### calculateTickRect

    protected void calculateTickRect()

Overrides:
  `calculateTickRect` in class `javax.swing.plaf.basic.BasicSliderUI`

#### paintMajorTickForHorizSlider

    protected void paintMajorTickForHorizSlider​(java.awt.Graphics g,
                                                java.awt.Rectangle tickBounds,
                                                int x)

Overrides:
  `paintMajorTickForHorizSlider` in class `javax.swing.plaf.basic.BasicSliderUI`

#### setThumbLocation

    public void setThumbLocation​(int x,
                                 int y)

Overrides:
  `setThumbLocation` in class `javax.swing.plaf.basic.BasicSliderUI`

#### paintFocus

    public void paintFocus​(java.awt.Graphics g)

Overrides:
  `paintFocus` in class `javax.swing.plaf.basic.BasicSliderUI`